/*********** buttons *************/
/*
body {
	margin-top: 30px;
}
*/

#center-gif {
	text-align: center;
	margin: 0 auto;
}

#storyboard-video {
	width: 100%;
}


.btn.btn-t1000 {
	color: #FFF;
	background-color: #000;
}

.btn.btn-t1000[disabled="disabled"] {
	background-color: #777;
}

.btn.btn-t1000:hover {
	background-color: rgb(225,0,28);
}

.divider {
  height: 1px;
  margin: 15px 0;
  overflow: hidden;
  background-color: rgba(0,0,0,0.6);
  clear: both;
}


body {
	background-color: rgba(0, 0, 0, 0.6);
}


/********				Navbar					***********/

nav {
	height: 60px;
}

.nav > li > a {
	height: 58px;
	padding: 8px;
	background-color: #FFF;
	border: 2px solid #000;
}

.nav > li > a > img {
	height: 100%;
}

.navbar-t1000 {
	background-color: #000;
	border-radius: 0px;
}

.nav-title {
	color:#FFF;
	padding: 0px 0px 0px 6px;
}


.anchor-box {
	display: block;
	float: left;
	width: 49%;
	margin: 0 auto;
	padding: 0 auto;
	text-align: center;
	font-size: larger;
}

/********************************* text treatments *************************************/


h3 {
	margin: 0px;
}

h2 {
	margin: 10px;
}

p {
	margin: 0px;
}

/********************************* concept implementation styling *************************************/

.container {
	display: block;
	width: 80%;
	margin: 0 auto;
	margin-bottom: 50px;
}

.box {
	width: 100%;
	background-color: #fff;
	border-radius: 5px;
	position: relative;
	display: table;
	padding: 20px;
	margin: 0 auto;
	margin-bottom: 20px;
}

.box-33 {
	width: 32%;
	position: relative;
	display: inline-block;
	margin: 0 5px;
	padding: 5px;
}

.box-35 {
	width: 34%;
	position: relative;
	display: inline-block;
	margin: 0 auto;
}

.box-40 {
	width: 39%;
	position: relative;
	display: inline-block;
	margin: 0 auto;

}

.box-50 {
	width: 49%;
	position: relative;
	display: inline-block;
	margin: 0 auto;
	vertical-align: middle;
}

.box-60 {
	width: 58%;
	position: relative;
	display: inline-block;
	margin: 0 auto;
	
}

.box-65 {
	width: 64%;
	position: relative;
	display: inline-block;
	margin: 0 auto;
	
}

.link-box {
	padding: 23px 20px;
	margin: 20px auto;
	background-color: #da0000;
	border-radius: 5px;
	text-align: center;
	vertical-align: middle;
	
}

.link-box a {
	color: white;
}

.code-frame {
	width: 80%;
	padding: 20px;
	margin: 0 auto;
}

.photo-frame {
	width: 80%;
	padding: 20px;
	display: block;
	margin: 0 auto;
}


#text-padding {
	padding: 30px;
}

#padding-10 {
	padding: 10px;
}

#float-r {
	float: right;
}

#float-l {
	float: left;
}

.align-top {
	vertical-align: top;
}

#align-center {
	vertical-align: middle;
	display: inline-table;
}

.funny-box {
	width: 30%;
	background-color: #fff;
	border-radius: 5px;
	position: relative;
	padding: 10px;
	margin: 50px auto;
	text-align: center;
	
}


#implementation-video {
	width: 100%;

}

#door-cycle-720 {
	width: 100%;
}

.video-container {
	width: 100%;
	position: relative;
	clear: both;
}


.photo-container {
	width: 100%;
}

.photo-padding {
	padding-bottom: 15px;
}

#state-diagram {
	width: 75%;
	display: block;
	padding: 20px;
	margin: 0 auto;
	position: relative;
}


/********************************* system diagram shapes *************************************/


.system-box {
	width: 800px;
	height: 550px;
	margin: 10px auto;
}

#state-machine {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	background-color: blue;
	border-radius: 5px;
	position: absolute;
	left: 40%;
	top: 150px;	
}

#mechanical {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	background-color: green;
	border-radius: 5px;
	position: absolute;
	left: 15%;
	top: 300px;	
}

#electrical {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	background-color: red;
	border-radius: 5px;
	position: absolute;
	left: 65%;
	top: 300px;	
}

#physical {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	position: absolute;
	left: 40%;
	bottom: 25px;
}

#pneumatic {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	text-shadow: 1px 1px 1px rgba(0,0,0,0.4);
	background-color: yellow;
	border-radius: 5px;
	position: absolute;
	left: 15%;
	bottom: 100px;	
	
}

#leds {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	background-color: purple;
	border-radius: 5px;
	position: absolute;
	left: 40%;
	bottom: 100px;	

}

#irsense {
	width: 20%;
	padding: 20px;
	text-align: center;
	color: white;
	background-color: orange;
	border-radius: 5px;
	position: absolute;
	left: 65%;
	bottom: 100px;	

}

.system-box a {
	color: white;
}

a.hover {
	font-style: bold;
}

/********************************* concept refinement styling *************************************/
/*


.list-photo {
	width: 60%;
	margin: 0 auto;
}

.photo-50-bucket {
	width: 49%;
	padding: 20px;
	display: inline-block;
}

.photo-container-refine {
	width: 100%;
}

*/
/**********************************  concept sketches overlay transition  ********************************/

#concept-sketches a {
	position: relative;
	display:block;
	overflow:hidden;
}

#concept-sketches img {
	width: 100%;
	margin-bottom: 20px;
}

#concept-sketches .overlay {
	position: absolute;
	bottom: 100%;
	opacity: 0;
	-webkit-transition: opacity 1s, bottom 0s 0.5s;
	transition: opacity 1s, bottom 0s 0.5s;
}

#concept-sketches a:hover .overlay {
	bottom: 0%;
	opacity: 1;
	-webkit-transition: bottom 0.75s ease-in-out 0.2s; /* For Safari 3.1 to 6.0 */
	transition: bottom 0.75s ease-in-out 0.2s;
}


/********************************* Sketch model body styles *******************************/

.sketch-model-words {
	width: 80%;
	background-color: #fff;
	border-radius: 5px;
	position: relative;
	padding: 20px;
	margin: 0 auto;
	margin-bottom: 20px;	
	border-bottom: 20px;
}

#amy-gif {
	width: 50%;
	margin: 0 auto;
/* 	float: right; */
	display: inline-block;
	vertical-align: top;

}


.container-description {
	width: 48%;
	position: relative;
	display: inline-block;
	vertical-align: top;
}

#amy-video {
	width: 100%;
	margin: 0 auto;
}

.center-text {
	text-align: center;
}

.right-justify {
	text-align: right;
}

.left-justify {
	text-align: left;
}

.narrow-inset {
	margin: 20px;
	font-weight: bold;
	font-size: large;
}

.photo-col-1 {
	position: relative;
	width: 29%;
	display: inline-block;
	vertical-align: top;
}

.photo-col-2 {
	position: relative;
	width: 32%;
	display: inline-block;
	vertical-align: top;
}

.photo-col-3 {
	position: relative;
	width: 38%;
	display: inline-block;
	vertical-align: top;
}

.photo-container img {
	width: 100%;
	padding: 4%;
}

.text-col-1 {
	position: relative;
	width: 45%;
	display: inline-block;
	vertical-align: top;
	margin-left: 3%;
	margin-bottom: 20px;
}

.text-col-2 {
	position: relative;
	width: 45%;
	float: right;
	vertical-align: top;
	margin-right: 3%;
	padding-left: 20px;
	border-left: black solid 1px;
	margin-bottom: 20px;
}

/***** qifang *****/

.tableImg{
    max-width: 80%
}
    
.tableSize{
    max-width: 100%
}
    
.slidingDoor{
    max-width: 100%;
}
    
.endnote{
    font-family: cabin, sans-serif;
            text-shadow: 2px 2px white;
    position: relative;
}

.slidingDoor {
    max-width: 60%;
	margin: 0 auto;
}

.tableImg, .tableSize {
	margin: 0 auto;
}

/****** Jasmine *****/

img.displayed {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: auto;
    margin-top: auto;
}
    
.table img {
    display:inline-block;
    width: 100%;
}
.spacer {
	padding: 6px;
	vertical-align: top;
} 

.spacer2 {
	width: 100%;
	padding: 10px;
}

.clear-spacing {
	position: relative;
	width: 100%;
	padding: 20px;
}
   
table.centered {
	margin: 0 auto;
}
    
.figcaption {
    font-size: 13px;
    width:250px;
    margin-left: 20px;
    margin-bottom: 20px;
    margin-top: 8px;
}
    
.jh1 {
border-bottom: 1px #000000 solid;
padding-bottom: 3px;
padding-right: 0;
color: #3b9edb;
margin-right: 50px;
margin-top: 10;
padding-top: 10px;
}
    
    
.jh2 {
    border-bottom: 1px #000000 solid;
    padding-bottom: 3px;
	padding-right: 0;
	color: #000000;
	border-bottom: 1px #000000 solid;
	margin-right: 50px;
	margin-top: 10;
	padding-top: 10px;
}



img.center-sm {
	max-width: 100%;
	margin: 0 auto;
}



/******************************** Modal Stuff ******************************/
/*


.modal-open {
  overflow: hidden;
}
.modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  display: none;
  overflow: auto;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  outline: 0;
}
.modal.fade .modal-dialog {
  -webkit-transition: -webkit-transform .3s ease-out;
     -moz-transition:    -moz-transform .3s ease-out;
       -o-transition:      -o-transform .3s ease-out;
          transition:         transform .3s ease-out;
  -webkit-transform: translate(0, -25%);
      -ms-transform: translate(0, -25%);
          transform: translate(0, -25%);
}
.modal.in .modal-dialog {
  -webkit-transform: translate(0, 0);
      -ms-transform: translate(0, 0);
          transform: translate(0, 0);
}
.modal-dialog {
  position: relative;
  width: auto;
  margin: 10px;
}
.modal-content {
  position: relative;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #999;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: 6px;
  outline: none;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
          box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
}
.modal-body-image {
	max-height: 600px;
	max-width: 600px;
}
.modal-thumbnail-image {
	max-height: 60px;
	max-width: 60px;
}
.modal-text {
	position: relative;
}

.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: #000;
}
.modal-backdrop.fade {
  filter: alpha(opacity=0);
  opacity: 0;
}
.modal-backdrop.in {
  filter: alpha(opacity=50);
  opacity: .5;
}
.modal-header {
  min-height: 16.42857143px;
  padding: 15px;
  border-bottom: 1px solid #e5e5e5;
}
.modal-header .close {
  margin-top: -2px;
}
.modal-title {
  margin: 0;
  line-height: 1.42857143;
}
.modal-body {
  position: relative;
  padding: 20px;
}

.modal-footer {
  padding: 19px 20px 20px;
  margin-top: 15px;
  text-align: right;
  border-top: 1px solid #e5e5e5;
}
.modal-footer .btn + .btn {
  margin-bottom: 0;
  margin-left: 5px;
}
.modal-footer .btn-group .btn + .btn {
  margin-left: -1px;
}
.modal-footer .btn-block + .btn-block {
  margin-left: 0;
}


@media (min-width: 768px) {
  .modal-dialog {
    width: 600px;
    margin: 30px auto;
  }
  .modal-content {
    -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
            box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
  }
  .modal-sm {
    width: 300px;
  }
}
@media (min-width: 992px) {
  .modal-lg {
    width: 900px;
  }
}

*/


/******************** carousel stuff *****************************/

/*
.carousel .item {
	text-align: center;
}

.carousel .item > img {
	margin: 0 auto;
	margin-top: 25px;
}

.carousel-indicators {
  position: absolute;
  bottom: -10px;
  left: 50%;
  z-index: 15;
  width: 60%;
  padding-left: 0;
  margin-left: -30%;
  text-align: center;
  list-style: none;
}

.carousel-indicators li {
	background-color: #000 \9;
	background-color: rgba(0, 0, 0, 0.6);
	border-color: rgba(0, 0, 0, 0.6);

}

.carousel-indicators .active {
  background-color: #fff;
  border-color: rgba(0, 0, 0, 0.6);
}

.carousel-caption {
	position: static;
	padding: 19px 20px 20px;
	text-align: left;
	border-top: 1px solid #e5e5e5;
	left: 0%;
	right: 0%;
	text-shadow: none;
	color: #000;
	
}
.carousel-control {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 5%;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.3);
  text-align: center;
/*   text-shadow: 0 1px 2px rgba(0, 0, 0, .6); */
/*
  filter: alpha(opacity=50);
  opacity: .5;
}

.carousel-control {
	top: 35px;
	height: 50px;
	margin-top: -50px;
}

.carousel-control.left, .carousel-control.right {
	background: none;
}

.carousel-control.left .glyphicon {
	left: 0;
	margin-left: 0;
	margin-top: -25px;
}

.carousel-control.right .glyphicon {
	right: 0;
	margin-left: 0;
	margin-top: -25px;
}
*/



/********									***********/


.project-nav .btn {
	width: 100%;
	margin-bottom: 20px;
}

@media (max-width: 767px) {
	.project-nav .btn {
		padding: 10px 0px;
		margin-bottom: 10px;
	}
}
@media (min-width: 768px) and (max-width: 991px) { 
	.project-nav .btn {
		padding: 22px 0px 22px 0px;
		border-radius: 18px;
	}
}
@media (min-width: 992px) and (max-width: 1199px) {
	.project-nav .btn {
		padding: 35px 0px 36px 0px;
		border-radius: 23px;
	}
}
@media (min-width: 1200px) { 
	.project-nav .btn {
		padding: 48px 0px;
		border-radius: 28px;
	}
}

.logo {
	height: auto;
	width: 100%;
	margin-bottom: 30px;
}


body.home {
	background-color: #fff;
}